FileHeader:
  library_Suffix: 'SO'
  device_type: 'MSOP'

MSOP-8_3x3mm_P0.65mm:
  size_source: 'https://www.jedec.org/system/files/docs/mo-187F.pdf variant AA'
  force_small_pitch_ipc_definition: True
  body_size_x: 3 +/-0.2
  body_size_y: 3 +/-0.2
  overall_size_x: 4.9 +/-0.25
  lead_width: 0.22 .. 0.38
  lead_len: 0.4 .. 0.6 .. 0.8
  pitch: 0.65
  num_pins_x: 0
  num_pins_y: 4

MSOP-8-1EP_3x3mm_P0.65mm_EP1.68x1.88mm:
  size_source: 'https://www.analog.com/media/en/technical-documentation/data-sheets/4440fb.pdf#page=13'
  force_small_pitch_ipc_definition: True
  body_size_x:
    nominal: 3
    tolerance: 0.102
  body_size_y:
    nominal: 3
    tolerance: 0.102
  overall_height:
    maximum: 1.1

  overall_size_x:
    nominal: 4.9
    tolerance: 0.152
  lead_width:
    minimum: 0.22
    maximum: 0.38
  lead_len:
    nominal: 0.53
    tolerance: 0.152

  pitch: 0.65
  num_pins_x: 0
  num_pins_y: 4

  EP_size_x:
    nominal: 1.68
    tolerance: 0
  EP_size_y:
    nominal: 1.88
    tolerance: 0
  # EP_mask_x: 2.46
  # EP_mask_y: 2.31
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1.1, 1.3]
    # bottom_pad_size:
    paste_avoid_via: False

MSOP-8-1EP_3x3mm_P0.65mm_EP1.73x1.85mm:
  size_source: 'http://www.ti.com/lit/ds/symlink/lm25085.pdf#page=32'
  force_small_pitch_ipc_definition: True
  body_size_x:
    nominal: 3
    tolerance: 0.1
  body_size_y:
    nominal: 3
    tolerance: 0.1
  overall_height:
    maximum: 1.09

  overall_size_x:
    nominal: 4.9
    tolerance: 0.15
  lead_width:
    nominal: 0.3
    tolerance: [-0.05, 0.1]
  lead_len:
    nominal: 0.53
    tolerance: 0.12

  pitch: 0.65
  num_pins_x: 0
  num_pins_y: 4

  EP_size_x:
    nominal: 1.73
    tolerance: 0.15
  EP_size_y:
    nominal: 1.85
    tolerance: 0.15
  # EP_mask_x: 2.46
  # EP_mask_y: 2.31
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1.1, 1.3]
    # bottom_pad_size:
    paste_avoid_via: False

MSOP-8-1EP_3x3mm_P0.65mm_Mask1.73x2.36mm:
  size_source: 'http://ww1.microchip.com/downloads/en/DeviceDoc/mic5355_6.pdf#page=15'
  force_small_pitch_ipc_definition: True
  body_size_x:
    nominal: 3
    tolerance: 0.1
  body_size_y:
    nominal: 3.0
    tolerance: 0.1
  overall_height:
    nominal: 0.94
    tolerance: 0.1

  overall_size_x:
    nominal: 4.9
    tolerance: 0
  lead_width:
    nominal: 0.33
    tolerance: [-0.1, 0.03]
  lead_len:
    nominal: 0.53
    tolerance: 0.1

  pitch: 0.65
  num_pins_x: 0
  num_pins_y: 4

  EP_size_x:
    nominal: 1.73
    tolerance: 0
  EP_size_x_overwrite: 2.5
  EP_mask_x: 1.73
  EP_size_y:
    nominal: 2.36
    tolerance: 0
  EP_size_y_overwrite: 3
  EP_mask_y: 2.36
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

MSOP-8-1EP_3x3mm_P0.65mm_EP1.95x2.15mm:
  size_source: 'http://www.st.com/resource/en/datasheet/pm8834.pdf'
  force_small_pitch_ipc_definition: True
  body_size_x:
    minimum: 2.9
    nominal: 3
    maximum: 3.1
  body_size_y:
    minimum: 2.9
    nominal: 3
    maximum: 3.1
  overall_height:
    nominal: 1.1

  overall_size_x:
    minimum: 4.75
    nominal: 4.9
    maximum: 5.05
  lead_width:
    minimum: 0.25
    nominal : 0.33
    maximum: 0.41 # given as 0.7 but that can not be true. (larger than pitch)
  lead_len:
    minimum: 0.4
    nominal : 0.55
    maximum: 0.7

  pitch: 0.65
  num_pins_x: 0
  num_pins_y: 4

  EP_size_x:
    minimum: 1.63
    nominal: 1.73
    maximum: 1.73
  EP_size_x_overwrite: 1.95

  EP_size_y:
    minimum: 2.08
    nominal: 2.18
    maximum: 2.28
  EP_size_y_overwrite: 2.15
  # EP_mask_x: 2.46
  # EP_mask_y: 2.31
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1.1, 1.3]
    # bottom_pad_size:
    paste_avoid_via: False

MSOP-8-1EP_3x3mm_P0.65mm_EP1.50x1.80mm:
  size_source: 'https://www.diodes.com/assets/Package-Files/MSOP-8EP.pdf'
  force_small_pitch_ipc_definition: True
  body_size_x:
    minimum: 2.9
    nominal: 3
    maximum: 3.1
  body_size_y:
    minimum: 2.9
    nominal: 3
    maximum: 3.1
  overall_height:
    nominal: 1.1

  overall_size_x:
    minimum: 4.7
    nominal: 4.9
    maximum: 5.1
  lead_width:
    minimum: 0.22
    nominal : 0.3
    maximum: 0.38 
  lead_len:
    minimum: 0.4
    nominal : 0.6
    maximum: 0.8

  pitch: 0.65
  num_pins_x: 0
  num_pins_y: 4

  EP_size_x:
    minimum: 1.3
    nominal: 1.5
    maximum: 1.7

  EP_size_y:
    minimum: 1.6
    nominal: 1.8
    maximum: 2.0
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1.1, 1.3]
    # bottom_pad_size:
    paste_avoid_via: False


#####################################################################################################

MSOP-10-1EP_3x3mm_P0.5mm_EP1.68x1.88mm:
  size_source: 'https://www.analog.com/media/en/technical-documentation/data-sheets/3805fg.pdf#page=18'

  body_size_x:
    nominal: 3
    tolerance: 0.102
  body_size_y:
    nominal: 3
    tolerance: 0.102
  overall_height:
    maximum: 1.1

  overall_size_x:
    nominal: 4.9
    tolerance: 0.152
  lead_width:
    minimum: 0.17
    maximum: 0.27
  lead_len:
    nominal: 0.53
    tolerance: 0.152

  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 5

  EP_size_x:
    nominal: 1.68
    tolerance: 0
  # EP_size_x_overwrite:
  # EP_mask_x:
  EP_size_y:
    nominal: 1.88
    tolerance: 0
  # EP_size_y_overwrite:
  # EP_mask_y:
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1.1, 1.3]
    # bottom_pad_size:
    paste_avoid_via: False

MSOP-10-1EP_3x3mm_P0.5mm_EP1.73x1.98mm:
  size_source: 'www.allegromicro.com/~/media/Files/Datasheets/A4952-3-Datasheet.ashx?la=en#page=10'

  body_size_x:
    nominal: 3
    tolerance: 0.1
  body_size_y:
    nominal: 3
    tolerance: 0.1
  overall_height:
    # calculated using toleranced size class
    # (0.86 +/- 0.05) + (0.05 ... 0.15)
    # min_rms: 0.8892893218813452, max_rms: 1.0307106781186548
    minimum: 0.89
    maximum: 1.03

  overall_size_x:
    nominal: 4.88
    tolerance: 0.2
  lead_width:
    minimum: 0.18
    maximum: 0.27
  lead_len:
    nominal: 0.53
    tolerance: 0.1

  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 5

  EP_size_x:
    nominal: 1.73
    tolerance: 0
  # EP_size_x_overwrite:
  # EP_mask_x:
  EP_size_y:
    nominal: 1.98
    tolerance: 0
  # EP_size_y_overwrite:
  # EP_mask_y:
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1, 1.2]
    # bottom_pad_size:
    paste_avoid_via: False

MSOP-10-1EP_3x3mm_P0.5mm_EP2.2x3.1mm_Mask1.83x1.89mm:
  size_source: 'https://www.ti.com/lit/ds/symlink/xtr111.pdf#page=27'
  body_size_x:
    minimum: 2.9
    maximum: 3.1
  body_size_y:
    minimum: 2.9
    maximum: 3.1
  overall_height:
    maximum: 1.1
  overall_size_x:
    minimum: 4.75
    maximum: 5.05
  lead_width:
    minimum: 0.17
    maximum: 0.27
  lead_len:
    minimum: 0.4
    maximum: 0.7
  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 5
  EP_size_x:
    nominal: 2.2
    tolerance: 0
  EP_mask_x:
    nominal: 1.83
    tolerance: 0
  EP_size_y:
    nominal: 3.1
    tolerance: 0
  EP_mask_y:
    nominal: 1.89
    tolerance: 0
  EP_num_paste_pads: [2, 2]
  thermal_vias:
    count: [2, 3]
    drill: 0.2
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    grid: [1.3, 1.3]
    paste_avoid_via: False

#####################################################################################################

MSOP-12-1EP_3x4mm_P0.65mm_EP1.65x2.85mm:
  size_source: 'https://www.analog.com/media/en/technical-documentation/data-sheets/3652fe.pdf#page=24'
  force_small_pitch_ipc_definition: True
  body_size_x:
    nominal: 3
    tolerance: 0.102
  body_size_y:
    nominal: 4 # rounded to avoid changes to the symbol datasheet: 4.039
    tolerance: 0.102
  overall_height:
    maximum: 1.1

  overall_size_x:
    nominal: 4.9
    tolerance: 0.152
  lead_width:
    minimum: 0.22
    maximum: 0.38
  lead_len:
    nominal: 0.53
    tolerance: 0.152

  pitch: 0.65
  num_pins_x: 0
  num_pins_y: 6

  EP_size_x:
    nominal: 1.651
    tolerance: 0.102
  EP_size_x_overwrite: 1.65 # avoid changes to symbol
  # EP_mask_x:
  EP_size_y:
    nominal: 2.845
    tolerance: 0.102
  EP_size_y_overwrite: 2.85 # avoid changes to symbol
  # EP_mask_y:
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

MSOP-12-1EP_3x4mm_P0.65mm:
  size_source: 'https://www.analog.com/media/en/technical-documentation/data-sheets/6957fb.pdf#page=36'
  force_small_pitch_ipc_definition: True
  body_size_x:
    nominal: 3
    tolerance: 0.102
  body_size_y:
    nominal: 4 # rounded to avoid changes to the symbol datasheet: 4.039
    tolerance: 0.102
  overall_height:
    maximum: 1.1

  overall_size_x:
    nominal: 4.9
    tolerance: 0.152
  lead_width:
    minimum: 0.22
    maximum: 0.38
  lead_len:
    nominal: 0.53
    tolerance: 0.152

  pitch: 0.65
  num_pins_x: 0
  num_pins_y: 6

######################################################################################################

MSOP-16-1EP_3x4mm_P0.5mm_EP1.65x2.85mm:
  size_source: 'http://cds.linear.com/docs/en/datasheet/37551fd.pdf#page=23'
  body_size_x:
    nominal: 3
    tolerance: 0.102
  body_size_y:
    nominal: 4 # rounded to avoid changes to the symbol datasheet: 4.039
    tolerance: 0.102
  overall_height:
    maximum: 1.1

  overall_size_x:
    nominal: 4.9
    tolerance: 0.152
  lead_width:
    minimum: 0.17
    maximum: 0.27
  lead_len:
    nominal: 0.53
    tolerance: 0.152

  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 8

  EP_size_x:
    nominal: 1.651
    tolerance: 0.102
  EP_size_x_overwrite: 1.65 # avoid changes to symbol
  # EP_mask_x:
  EP_size_y:
    nominal: 2.845
    tolerance: 0.102
  EP_size_y_overwrite: 2.85 # avoid changes to symbol
  # EP_mask_y:
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False


MSOP-16-1EP_3x4mm_P0.5mm:
  size_source: 'https://www.analog.com/media/en/technical-documentation/data-sheets/436412f.pdf#page=22'
  body_size_x:
    nominal: 3
    tolerance: 0.102
  body_size_y:
    nominal: 4 # rounded to avoid changes to the symbol datasheet: 4.039
    tolerance: 0.102
  overall_height:
    maximum: 1.1

  overall_size_x:
    nominal: 4.9
    tolerance: 0.152
  lead_width:
    minimum: 0.17
    maximum: 0.27
  lead_len:
    nominal: 0.53
    tolerance: 0.152

  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 8

# By: JEFO
# Email: jacob.overgaard.andersen@gmail.com
MSOP-16_3x4mm_P0.5mm:
  size_source: 'http://www.analog.com/media/en/package-pcb-resources/package/pkg_pdf/ltc-legacy-msop/05081669_A_MS16.pdf'
  body_size_x:
    nominal: 3
    tolerance: 0.102
  body_size_y:
    nominal: 4.039
    tolerance: 0.102
  overall_size_x:
    nominal: 4.9
    tolerance: 0.152
  lead_width:
    minimum: 0.17
    maximum: 0.27
  lead_len:
    nominal: 0.53
    tolerance: 0.152
  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 8
  overall_height:
    maximum: 1.10


# By: JEFO
# Email: jacob.overgaard.andersen@gmail.com
MSOP-16-1EP_3x4mm_P0.5mm_EP1.65x2.85mm:
  size_source: 'https://www.analog.com/media/en/package-pcb-resources/package/pkg_pdf/ltc-legacy-msop/05081667_F_MSE16.pdf'
  body_size_x:
    nominal: 3
    tolerance: 0.102
  body_size_y:
    nominal: 4.039
    tolerance: 0.102
  overall_size_x:
    nominal: 4.9
    tolerance: 0.152
  lead_width:
    minimum: 0.17
    maximum: 0.27
  lead_len:
    nominal: 0.53
    tolerance: 0.152
  overall_height:
    maximum: 1.10
  EP_size_x:
    nominal: 1.651
    tolerance: 0.102
  EP_size_y:
    nominal: 2.845
    tolerance: 0.102
  EP_paste_coverage: 0.7
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 3]
    drill: 0.25
    paste_via_clearance: 0.1
    EP_num_paste_pads: [2, 2]
    paste_avoid_via: False
  
  pitch: 0.5
  num_pins_x: 0
  num_pins_y: 8
